/***********************************************************************************************************
 * Copyright (c)  2021 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : pwm.h
 * Description : pwm header file
 * Author(s)   : zhilan
 * Version     : V1.0
 * Modify date : 2022-05-09
 ***********************************************************************************************************/
#ifndef __PWM_H__
#define __PWM_H__

#include "config.h"

#ifdef UM2082F08_USING_PWM

#define HIGH   						1
#define LOW    						0

void pwm_init(uint16_t cycle, uint16_t duty, uint8_t level);

void pwm_irq_init(em_enable_t enable,void (*pfunc)());

void pwm_output_start(void);

void pwm_output_stop(void); 

void pwm_start(void);

void pwm_stop(void); 

#endif
#endif
